XMLFileMgr.hpp File Reference

Go to the source code of this file.

## Classes

class | XMLFileMgr

## Macros

#define | XERCES_Invalid_File_Handle 0

## Variables

XERCES_CPP_NAMESPACE_BEGIN typedef void * | FileHandle

## Macro Definition Documentation

## XERCES_Invalid_File_Handle

#define XERCES_Invalid_File_Handle 0

Referenced by BinFileInputStream::getIsOpen().

## Variable Documentation

## FileHandle

XERCES_CPP_NAMESPACE_BEGIN typedef void* FileHandle

Referenced by BinFileInputStream::BinFileInputStream(), XMLPlatformUtils::closeFile(), XMLPlatformUtils::curFilePos(), XMLFileMgr::curPos(), XMLFileMgr::fileClose(), XMLFileMgr::fileOpen(), XMLFileMgr::fileOpen(), XMLFileMgr::fileRead(), XMLFileMgr::fileReset(), XMLFileMgr::fileSize(), XMLPlatformUtils::fileSize(), XMLFileMgr::fileWrite(), LocalFileFormatTarget::flush(), BinFileInputStream::getContentType(), BinFileInputStream::getIsOpen(), XMLPlatformUtils::openFile(), XMLPlatformUtils::openFile(), XMLPlatformUtils::openFileToWrite(), XMLPlatformUtils::openFileToWrite(), XMLFileMgr::openStdIn(), XMLPlatformUtils::openStdInHandle(), XMLPlatformUtils::readFileBuffer(), XMLPlatformUtils::resetFile(), and XMLPlatformUtils::writeBufferToFile().